Delete Product
curl --request DELETE \
--url https://api.example.com/merchant/product/deleteimport requests
url = "https://api.example.com/merchant/product/delete"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.example.com/merchant/product/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": false,
"error": {
"status": 404,
"code": "PRODUCT_NOT_FOUND",
"message": "Product not found"
},
"data": null
}
Products
Delete Product
Delete a product
DELETE
/
merchant
/
product
/
delete
Delete Product
Delete a product from the merchant’s catalog.
string
required
Product ID to delete
boolean
Indicates if the request was successful
object
Deletion result
Example Request
curl -X DELETE https://api.transaction.gg/merchant/product/delete \
-H "Authorization: Bearer jwt_token" \
-H "Content-Type: application/json" \
-d '{
"productId": "prod_X4dUuzsMaruQ4UsX"
}'
Example Response
{
"success": true,
"data": {
"deleted": true,
"productId": "prod_X4dUuzsMaruQ4UsX"
}
}
Error Responses
{
"success": false,
"error": {
"status": 404,
"code": "PRODUCT_NOT_FOUND",
"message": "Product not found"
},
"data": null
}
⌘I